%define major		1
%define libname		%mklibname mpris-qt5_ %{major}
%define develname	%mklibname mpris-qt5 -d

Name:		qtmpris
Summary:	Qt and QML MPRIS interface and adaptor
Version:	1.0.6
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/KDE and Qt
URL:		https://git.sailfishos.org/mer-core/qtmpris
Source0:	https://github.com/sailfishos/qtmpris/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Qml)

%description
Qt and QML MPRIS interface and adaptor.

#------------------------------------------------

%package -n	%{libname}
Summary:	Qt and QML MPRIS interface and adaptor
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n	%{libname}
Qt and QML MPRIS interface and adaptor.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	mpris-qt5-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%setup -q

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%dir %{_qt5_qmldir}/org/nemomobile/
%dir %{_qt5_qmldir}/org/nemomobile/mpris/
%{_qt5_qmldir}/org/nemomobile/mpris/libmpris-qt5-qml-plugin.so
%{_qt5_qmldir}/org/nemomobile/mpris/plugins.qmltypes
%{_qt5_qmldir}/org/nemomobile/mpris/qmldir

%files -n %{libname}
%{_qt5_libdir}/libmpris-qt5.so.%{major}{,.*}

%files -n %{develname}
%{_qt5_includedir}/MprisQt/
%{_qt5_libdir}/pkgconfig/*.pc
%{_qt5_libdir}/libmpris-qt5.so
%{_qt5_archdatadir}/mkspecs/features/*.prf


%changelog
* Sat Dec 31 2022 neoclust <neoclust> 1.0.6-1.mga9
+ Revision: 1928398
- New version 	1.0.6

* Mon Apr 04 2022 umeabot <umeabot> 0.1.0-6.mga9
+ Revision: 1843331
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.1.0-5.mga8
+ Revision: 1659635
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.1.0-4.mga8
+ Revision: 1527906
- Mageia 8 Mass Rebuild

* Fri Jul 26 2019 daviddavid <daviddavid> 0.1.0-3.mga8
+ Revision: 1424453
- rebuild for new Qt5 headers path and new mkspecs macros

* Mon Apr 01 2019 umeabot <umeabot> 0.1.0-2.mga7
+ Revision: 1384463
- Qt5 Rebuild

* Sun Sep 02 2018 daviddavid <daviddavid> 0.1.0-1.mga7
+ Revision: 1256188
- initial package qtmpris

